Subject: Linux-Misc Digest #714
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Tue, 6 Sep 94 08:13:22 EDT

Linux-Misc Digest #714, Volume #2                 Tue, 6 Sep 94 08:13:22 EDT

Contents:
  [Q] "TMC" PCI54PV Motherboard & 17" CD-1764TR Monitor. (I M H Nadiadi)
  Re: Does Linux really benefit from video cards? (Gerardo Bentancor)
  Re: Fortran Compiler for Linux?? (Sakari Mattila)
  Looking for term2.x applications (Andrew Davison)
  <None> ([email-masked])
  Adaptec 2842 Installation (Thomas Reutterer)
  Re: Monitoring TTY's .. (Tracy R. Reed)
  Re: Virus checker software for Linux. (Harald T. Alvestrand)

----------------------------------------------------------------------------

From: [email-masked] (I M H Nadiadi)
Subject: [Q] "TMC" PCI54PV Motherboard & 17" CD-1764TR Monitor.
Date: Tue, 6 Sep 1994 07:17:25 GMT

                                                         6 September 1994

Dan Technology plc (London, UK) build their ``dantium/PCi'' Pentium 90MHz
IDE systems using the "TMC" PCI54PV (Version 1.2A) Motherboard.
This PCI motherboard does not have an on-board IDE or SCSI controller.
According to the sample user manual given by Dan, ``the performance, speed
and expandability of the PCI54PV makes it the perfect choice for building
a LAN server, a high-end workstation or a multi-user system.''

I have read the Linux PCI-HOWTO guide, *BUT* I am still very concerned about
the lack of definite information on which PCI/(VLB/)ISA motherboards are
suitable for building a *working* Linux box with a *future*, i.e., not
``buggy'', ``broken'' or ``dead-end''. In particular, the compatibility of
current and future PCI cards on existing PCI architectures.

Therefore, I would be most grateful if you would assist me in anyway.  I
would appreciate any advice or comments regarding the "TMC" PCI54PV (OPTi
82C596/82C597/82C822 chipset), *or* recommendations for other
motherboards. I have included a summary, specification and a detailed
hardware description of the PCI54PV motherboard below this request.

At present, for combined Linux/MS-DOS/MS-Windows usage, Dan can supply a:

        * VLB SPEA V7 MIRAGE S3 805 2MB to drive their
          17" CD-1764TR XGA Colour Monitor
          (0.26mm trio pitch, Autoscan, Low-Emission, High-Resolution,
           Sony TRINITRON Tube, Microprocessor Control)

        * VLB IDE hard disk and floppy disk controller (J-Bond chipset) to
          drive a 525 MB IDE hard disk, 1.44 Mb floppy (3.5") and
          an IOMEGA QIC-40/80 ``250MB'' floppy tape streamer (DC2120 tape
          type).

I would also appreciate any advice or comments regarding the:

        * VLB SPEA V7 MIRAGE S3 805 2MB and the 17" CD-1764TR XGA Colour
          Monitor under XFree86-2.11 (X11r5) and/or XFree86-3.0 (X11r6).
          I've appended the specs on the CD-1764TR monitor.

        * IOMEGA QIC-40/80 ``250MB'' floppy tape streamer (DC2120 tape type)
          via the Linux Ftape.

Please, e-mail me directly ([email-masked]). I'll forward the
collected replies to the maintainers of the PCI-HOWTO and Hardware-HOWTO,
and post a summary to the newsgroup.

Thank you.

\\  Iqbal M. Nadiadi                        E-mail: [email-masked]   \\
//  Applied Mathematics and Computing Group         [email-masked] //
\\  Cranfield University                                                     \\
//  Bedfordshire, England, MK43 0AL.                                         //
===============================================================================

1. PCI54PV SUMMARY 
==================
The PCI54PV is a high performance, P54C/CT microprocessor based, ISA/VESA
PCI Local Bus motherboard.

The PCI54PV contains a total of 9 expansion slots (5 ISA, 4 PCI). Two of
the ISA slots have VESA Local (VL)-bus connectors. The 2 VESA and 4 PCI
bus slots support bus mastering.

The P54C/CT processor has 16Kb of primary (on-chip) cache memory which is
used to support separate code (8Kb) and data (8Kb) caches.  The 8Kb data
cache can be configured to be write-through or write-back on a line by
line basis.  In addition to the 16Kb primary cache of the P54C/CT, the
PCI54PV motherboard can support up to 512Kb of write-back secondary cache
memory (SRAM) and 128Mb of on-board main memory (DRAM).

2. PCI54PV SPECIFICATION 
========================
Main Processor  : Intel P54C/CT 75, 90 or 100MHz microprocessor.
Cache Memory    : 512Kb (or 256Kb) of write-back secondary memory (SRAM).
Main Memory     : Up to 128Mb of on board main memory (DRAM). 2 memory banks.
                  4 36-bit SIMM sockets for 256K*36, 1M*36 or 4M*36 modules.
                  The SIMM sockets also support dual density modules:
                  512K*36, 2M*36, or 8M*36.
Chipset         : OPTi 82C596, 82C597, 82C822.
Expansion       : 4 PCI-bus slots (4 master slots),
                  2 VL -bus slots (1?master slot ),
                  5 ISA     slots.
BIOS            : Licensed BIOS, e.g., AMI.
Clock/Calendar  : Battery backed real time clock (146818 compatible) and
CMOS RAM          128 bytes of CMOS RAM. On board rechargeable battery.
DMA Channels    : 7 DMA channels (8237 compatible).
Interrupts      : 16 levels of hardware interrupts (dual 8259 compatible).
System Timer    : 3 channels of programmable system timer (8254 compatible).
Connectors for  : power supply, keyboard, reset switch, Power LED, keylock,
                  speaker, turbo switch, turbo LED, external battery and
                  hard disk access LED.
Form Factor     : Baby AT size.
Power           : +5V @ 3.5 AMPs (typical requirement).

3. PCI54PV HARDWARE DESCRIPTION
===============================
3.1 PCI54PV System Board
3.2 P54C/CT Microprocessor
3.3 Cache Memory
3.4 Main Memory
3.5 BIOS
3.6 I/O Port Address Map
3.7 Memory Map
3.8 System Timer
3.9 DME Channels
3.10 Interrupt Controllers
3.11 Real Time Clock and CMOS RAM

                  _________________
                 |_________________| PCI-BUS
                          |
                    ______|_____
                   |            |
                   |   82C822   |
                   |    PCI     |--------------------------+
                   |   Bridge   |                          |
                   |____________|                          |
                          |                                | AT BUS
                  ________|________                        |    _
                 |_________________| VL-BUS                |   | |
                          |                                |   | |
         ____________     |     ____________               |   | |
        |            |    |    |            |              |   | |    
        |            |    |    |   82C597   |              |   | |    
        |    CPU     |----+----|   System   |--------------+---| |
        |            |    |    | Controller |              |   | |
        |____________|    |    |____________|              |   | |
                          |     ____________               |   | |
                          |    |            |              |   | |
                          |    |   82C596   |              |   |_|
                          +----|     AT     |--------------+   
                          |    | Controller |              |
                          |    |____________|              |
         ____________     |     ____________         ______|_____
        |            |    |    |            |       |            |
        | 256/512KB  |    |    | 2 banks    |       |   82C206   |
        | Secondary  |----+----| DRAM       |       |    IPC     |
        | Cache      |         | 1 to 128Mb |       |            |
        |____________|         |____________|       |____________|

                   Figure 1 - Function block of the PCI54PV

3.1 PCI54PV System Board
========================
``The PCI54PV is designed by implementing a PC54C/CT microprocessor and
a highly integrated chipset.''

The OPTi chipset is comprised of 3 chips:

        * 82C597 System Controller (SYSC) - The SYSC provides the control
functions for the host CPU interface, the 32 bit local bus interface, the
64-bit secondary cache memory and 64-bit DRAM bus. The SYSC controls the
data flow between the CPU bus, the DRAM bus, the local bus, and the
16/8-by ISA bus.

        * 82C596 AT Controller (ATC) - The ATC integrates the AT bus
interface and the data buffers for transfers between the CPU data bus,
local data bus and the DRAM data bus. It also provides ISA to local bus
command translation.

        * 82C822 VESA bus to PCI bridge (PCIB) - The PCIB provides all of
the control, Address and Data paths to implement the PCI bus from a VESA
VL-bus.

The 82C206 Integrated Peripherals Controller (IPC) incorporates the DMA
controller, Interrupt Controller, Systems Timer, and Clock/Calendar
functions.

3.2 P54C/CT Microprocessor
==========================
The P54C/CT processor is binary compatible with both the 486DX and 386DX.
The application instruction set of the P54C/CT processor includes the
complete 486 CPU instruction set with extensions to accomodate some of the
additional functionality of the P54C/CT processor. All application
software written for the 386 and 486 microprocessors will run on the
P54C/CT without modification.

The P54C/CT implements several enhancements to increase performance.
        * Increased the data bus to 64-bits and contains separate code and
data cache of 8Kb each with a cache line size of 32-bytes.
        * Contains a pipelined floating point unit that provides a
significant floating point performance advantage over previous generations
of the P54C/CT processor.

The PCI54PV is designed to accommodate a 75MHz, 90MHz or 100MHz P54C/CT
processor. The P54C/CT processor, once installed, will be driven by an
oscillator installed in ``OSC2'' by 3:2 frequency ratio. Therefore, for
90MHz P54C/CT processor a 60MHz oscillator must be installed in ``OSC2''
and a 66Mhz oscillator must be installed for a 100MHz Pentium.

3.3 Cache Memory
================
The P54C/CT processor includes separate code and data caches integrated on
chip to provide high performace. Each cache is 8Kb in size, with 32-byte
line size and is 2-way set associative. The data cache is configurable to
be write-back or write-through on a line by line basis.

For the secondary cache, the PCI54PV supports write-back cache memory
sizes of 256 or 512 Kbytes.

3.4 Main Memory
===============
The PCI54PV has 2 memory banks for up to 128Mbytes of main memory.  Each
memory bank of the PCI54PV consists of two 36-bit SIMM (Single In-Line
Memory Module) sockets that can accept 256K*36, 1M*36 or 4M*36 modules.

The SIMM sockets can also accommodate dual density modules such as
512K*36, 2M*36, or 8M*36 SIMMS.

3.5 BIOS
========
The PCI54PV contains a 128K*8 Flash ROM that contains the system BIOS.
The BIOS resides at the upper 64Kb of addresss in the first megabyte.

In protected mode, the BIOS is also mapped to the upper 64Kb of the 128Mb
space and can be accessed at either location.

The BIOS on the PCI54PV is compatible with the BIOS in the IBM AT with the
exception that it does not contain the BASIC interpreter. The BASIC and
BASICA on IBM PC-DOS will not run on the PCI54PV.  To run BASIC in systems
based on the PCI54PV, the should use the GW-BASIC interpreter provided
with the Microsoft DOS diskette.

3.6 I/O Port Address Map
========================
The CPU of the PCI54PV communicates via I/O ports. There are a total of 1K
port address space defined. The following tables list the I/O port
addresses used in the PCI54PV and those assigned to other devices that can
be used by the add-on cards.

        I/O Port Addresses of the devices on the PCI54PV
        ------------------------------------------------
        ADDRESS         DEVICE DESCRIPTION
        -------         ------------------
        000 - 01F       DMA Controller#1
        020 - 03F       Interrupt Controller#1
        040 - 05F       Timer
        060 - 06F       Keyboard Controller
        070 - 07F       Real time clock, NMI
        080 - 09F       DMA Page Register
        0A0 - 0BF       Interrupt Controller#2
        0C0 - 0DF       DMA Controller#2
        0F0             Clear Math Coprocessor Busy Signal
        0F1             Reset Math Coprocessor

        I/O port addresses of devices on the I/O slots
        ----------------------------------------------
        ADDRESS         DEVICE DESCRIPTION
        -------         ------------------
        1F0 - 1F7       Primary IDE Interface
        200 - 207       Game Port
        278 - 27F       Parallel Port#2 (LPT2)
        2F8 - 2FF       Serial Port#2 (COM@)
        300 - 31F       Protptype Card
        360 - 36F       Reserved
        378 - 3FF       Parallel Port#1 (LPT1)
        380 - 38F       SDLC#2
        3A0 - 3AF       SDLC#1
        3B0 - 3BF       MDA Video Card (including LPT0)
        3C0 - 3CF       Reserved
        3D0 - 3DF       CGA Video Card
        3F0 - 3F7       Floppy Disk Controller
        3F8 - 3FF       Serial Port#1 (COM1)

3.7 Memory Map
==============
The PCI54PV has a maximum memory capacity of 128Mb. The first megabyte is
divided into four blocks with each block dedicated to a fixed function.
The following table illustrates the memory map for the PCI54PV.

        MEMORY  ADDRESS DESCRIPTION
        ------  ------- -----------
        0KB     000000
                        Conventional RAM
                09FFFF
        640KB   0A0000
                        128Kb of Video RAM
                0BFFFF
        768KB   0C0000
                        192Kb of I/O Expansion ROM
                0EFFFF
        960KB   0F0000
                        64KB of System BIOS ROM
                0FFFFF
        1MB     100000
                        127 MB of User RAM
                7FEFFFF
                        Duplicated 64KB of System BIOS ROM at 0F0000
        128MB   7FFFFFF

3.8 System Timer
================
The PCI54PV has three channels of timer/counter in the 82C206 chip, which
is Intel 8254 compatible. The function of each channel is listed as
follows:

        CHANNEL|FUNCTION
        -------|--------
        0      |System Timer - This timer generates the time base for
               |the system timer. Its output is tied to IRQ0.
               |
        1      |Memory Refresh Request - This timer is used to generate
               |memory refreshj requests. It triggers the memory refresh
               |cycle.
               |
        2      |Tone Generator for Speaker - This timer provides the speaker
               |tone. Various sounds can be generated by programming the
               |timer.

3.9 DME Channels        
================
The PCI54PV contains two Intel 8259A compatible interrupt controllers in
the 82C206.

The 82C206 provides the user with two DMA controllers, 4 channels of DMA
(DMA#1) for 8-bit transfers, and three channels of DAM (DMA#2) for 16-bit
transfers. (The first 16-bit DMA channel is used for cascading.)

        CHANNEL                 FUNCTION
        -------                 --------
        Cntlr#1 Cntlr#2                         Cntlr = Controller.
        ------- -------
         _
        | |
        |0|                     DRQ0, Spare
        |1|                     DRQ1, Spare
        |2|                     DRQ2, Floppy Disk Controller
        |3|                     DRQ3, Spare
        |_|
         |
         +----> 4               DRQ4, Cascade for DMA
                
                5               DRQ5, Spare
                6               DRQ6, Spare
                7               DRQ7, Spare

3.10 Interrupt Controllers
==========================
The PCI54PV contains two Intel 8259A compatible interrupt controllers in
the 82C206. 16 channels are patitioned into the cascaded controllers
(INTC1, INTC2) with 8 inputs each. Of these 16 channels, 3 are connected
internally to various devices, allowing 13 user definable channels of
interrupt. Any or all of these interrupts can be masked.

        LEVEL                   FUNCTION
        -----                   --------
        NMI                     RAM Parity Check
        IRQ0                    System Timer Output
        IRQ1                    Keyboard
        IRQ2 <----+             Interrupt Cascade
                __|__
               |     |
               |IRQ8 |          Real Time Clock
               |IRQ9 |          Software Redirected to Int 0Ah
               |IRQ10|          Reserved
               |IRQ11|          Reserved
               |IRQ12|          Reserved
               |IRQ13|          80287
               |IRQ14|          Fixed Disk Controller
               |IRQ15|          Reserved
               |_____|
        IRQ3                    Serial Port#2
        IRQ4                    Serial Port#1
        IRQ5                    Parallel Port#2
        IRQ6                    Floppy Disk Controller
        IRQ7                    Parallel Port#1

3.11 Real Time Clock and CMOS RAM
=================================
The PCI54PV contains an MC146818 compatible Real Time Clock (RTC) and 128
bytes of CMOS RAM in the 82C206. The CMOS RAM stores the system's
configuration information entered via the Setup program. The RTC and the
CMOS RAM are kept active by a battery when the system power is turned off.

Note: The RTC and the CMOS RAM are kepts active by an on board
rechargeable battery. The PCI54PV also provides an interface for an
external battery.

==============================================================================

TECHNICAL INFORMATION ON 17" XGA COLOUR MONITOR (CD-1764TR)
===========================================================

(I) GENERAL
=================
Picture Tube    : 17 inch, 90 degree deflection,
                : neck diameter 30.6mm,
                : dark-glass non-glare,
                : with silica-coated surface,
                : light transmission 42.0%,
                : phosphor P22 medium short,
                : low emission treatment,
                : trio pitch 0.26mm.
CRT type        : TRINITRON(tm), DAF.
Display area    : 315mm (Horz) x 232 mm (Vert), 391 mm (Diag) (15.4 inch).
Line (horz) freq: 30 - 64 KHz (automatically)
Raster (vert) fr: 50 - 100 Hz (automatically)
Mains voltage   : 100-240 VAC +/- 10%, 50 - 60 Hz.
Power consump.  : 110 watt normal, 120 watt max.
Dot rate        : 110 MHz
Input signal    : Video : 0-0.7 or 1.0 Vp-p linear / 75
                :         Ohm positive switchable.
                : Sync  : Seperate sync. TTL level
                :         composite sync. TTL level
                :         composite sync. on green.
Pedestal        : Tilt - 5 degree forward, 15 degree backward
                : Swivel - 90 degree left or right
Unit dimension  : 422 (W) x 425 (H) x 440 (D) mm
Net weight      : 22.5 Kg
Operating cond. : Temperature   : 0 to 40 degrees C
                : Humidity      : 20% to 8%0
Storage cond.   : Temperature   : -25 to 70 degree C
                : Humidity      : 10% to 90%

(II) COMPATIBILITY:

IBM PC, PC/XT, PC/AT, PS/2, 386, 386SX, 486 and the compatibles;
Apple Macintosh II and QUADRA families.

==============================================================================

Any comments, advice, or recommendations greatly appreciated.

\\  Iqbal M. Nadiadi                        E-mail: [email-masked]   \\
//  Applied Mathematics and Computing Group         [email-masked] //
\\  Cranfield University                                                     \\
//  Bedfordshire, England, MK43 0AL.                                         //

------------------------------

From: [email-masked] (Gerardo Bentancor)
Subject: Re: Does Linux really benefit from video cards?
Date: 6 Sep 1994 16:25:40 +1000

[email-masked] (Kurt M. Hockenbury) writes:

>Phil Homewood ([email-masked]) wrote:
>: S. Hosseini ([email-masked]) wrote:
>: : Hi Linuxers:

>: : My question: 
>: :   I know there is much fuss about video cards in Linux 
>: : commumity, but does Linux really benefit from them? and how ?

>: Yes, it does.  Makes it a LOT easier to connect a monitor to the
>: machine. :-)

>But do you need one? I've seen at least one post about a system with no
>monitor, just a dumb terminal on the serial port.  :-)

>For that matter, you could remove the monitor and video card off a networked
>system just fine if it was only for remote work (WWW server, ftp site, etc.)

>       -Kurt Hockenbury

Hmm.. I don't know about that.. will a PC boot without a video card? I 
wouldn't have thought so (haven't tried it though).

gerardo

-- 
Gerardo Bentancor   | "Thy godlike crime was to be kind, 
[email-masked] |    To render with thy precepts less
                    |    The sum of human wretchedness,
                    |  And strengthen man with his own mind."  Byron.

------------------------------

From: [email-masked] (Sakari Mattila)
Crossposted-To: alt.os.linux,comp.os.linux.development,comp.os.linux.help
Subject: Re: Fortran Compiler for Linux??
Date: 6 Sep 94 07:32:59 GMT

Is there any full Ada(tm) compilers for Linux ?  Some Ada subset compiler
is on PrimeTime CDROM.

Sakari Mattila     [email-masked]   VK2XIN, OH2AZG (Cis: 71307,1525)
P.O.Box u13        tel. +61 67 733752         --------------------------------
Armidale NSW 2351  ---------------------------
===================

------------------------------

From: [email-masked] (Andrew Davison)
Crossposted-To: comp.os.linux.development
Subject: Looking for term2.x applications
Date: 6 Sep 1994 08:01:34 GMT

Perhaps I'm missing something important, but has anyone compiled any of
the major applications (Mosaic, ncftp...) for term 2.x (specifically
2.0.4). If I try to run an app compiled for earlier term versions I get
the error "Connect: Invalid Argument".

If nobody's done it yet, I might set aside some time to do it. 

Regards,
        Andy

------------------------------

From: [email-masked]
Crossposted-To: comp.os.linux.help
Subject: <None>
Date: 6 Sep 94 01:29:01 -0600

Bell Tech.'s HUB-6 card.
I have one, and after several months of glorious messin around, I gotta ask,
does anybody know how, or know someone who might know how to set the hub6 
up properly under linux? I'm attempting to talk to it with a terminal, and 
when I put a modem on it, i get term ready and the flow control lights come
one just like when I talk to it with com1. Com1 and 2 work dandy BTW.

Any info at all would be greatly appreaceated.

I also have a computone inteligent card, anyone out there other than me 
intrested in writing a driver for it? I beleave computone has their SCO driver
construction kit on their FTP site.. I looked it over a few months ago...

Please e-mail replies if you can, 

Chris{}Anderson
[email-masked]

------------------------------

From: [email-masked] (Thomas Reutterer)
Subject: Adaptec 2842 Installation
Date: 6 Sep 1994 08:33:06 GMT

I have been looking around for a bootdisk to set up Linux on a System with
an Adaptec AHA 2842 SCSI-Adapter.

Recently Ive been told that one (still at the "interim-stage"?) is
available at:

   sunsite.unc.edu:/pub/linux/kernel/images/boot284x.tar.gz

Did anyone succeed to set up Linux with this bootdisk yet?

Any information is appreciated.

Thanks in advance 
                                                                                                                                                                                thomas

------------------------------

From: [email-masked] (Tracy R. Reed)
Crossposted-To: comp.unix.misc,comp.os.linux.admin
Subject: Re: Monitoring TTY's ..
Date: 6 Sep 1994 08:40:17 GMT

Ivan Parga ([email-masked]) wrote:
: Rob McKenzie (rpm@bcars601) wrote:
: > [If this is the wrong group for this post please don't flame]

: > I'm running a Linux box and would like to find out if there is software 
: > that will allow me to monitor someone's tty.  We have had some problems 
: > with people trying to break system security.. it would be nice to be able 
: > to monitor and record the actions of these people live, while it happens.

: > Any ideas?

: I know that there is a software named "Peek & Spy" from Networking
: Dynamics Corp... that software was developed for VAX/VMS at first,

What about ttysnoop? Anybody know how well it works and how easy it is to 
use?

=============================================================================
Mr. Tracy Reed         |Every artist is a cannibal.| Why did dad cry 
San Diego State Univ.  |Every poet is a thief.     |  when I gave him
Aerospace Engineering  |All kill their inspiration |  Willmaker 1.0?
[email-masked] |And sing about their grief.|
[email-masked]      |-U2 IRC-Maelcum /me smiles |  
=============================================================================

------------------------------

From: [email-masked] (Harald T. Alvestrand)
Subject: Re: Virus checker software for Linux.
Date: 6 Sep 1994 09:46:23 GMT

I'm pretty laid-back about the threat of Unix viruses.

When I see a wild one, I'll panic, and maybe do something.
So far, no "wild" U*x virus has been seen (as far as I know)

("Tame" viruses on Linux don't count - ANY competent programmer can write
a virus in a matter of weeks; true genius could probably do it in a night)

Note: The standard defenses against trojan attacks (tripwire and friends)
would also detect a lot of virus attacks. So I regard the possibility that
there is a wild U*x virus out there, still undiscovered, as infinitesmal.
-- 
                   Harald Tveit Alvestrand
                [email-masked]
      G=Harald;I=T;S=Alvestrand;O=uninett;P=uninett;C=no
                      +47 73 59 70 94
My son's name is Torbjørn. The letter between "j" and "r" is o with a slash.

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.misc) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Misc Digest
******************************